<?php

class bBlock extends BackModule
{

    function __construct($formvars = array())
    {
        parent::__construct($formvars);
    }

    function update($formvars = array(), $table = null, $langue = true)
    {
        $this->cleanBlockBeforeUpdate($formvars);

        return parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $this->cleanBlockBeforeUpdate($formvars);
        $id = parent::create_multi($formvars, $table, $langue);
        Boutique::getInstance()->createStatut('block', $id);

        return $id;
    }

    function duplicate($formvars = array(), $table = null, $langue = true)
    {

        $return = $this->create($formvars, $table, $langue);

        return $return;
    }

    function Form($formvars = array())
    {

        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'un nouveau Bloc</a></span>";
        } else {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id']))
                            . "'>Edition du Bloc</a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql           = "SELECT * 
                    FROM block b
                    LEFT JOIN block_nom bn ON(bn.block_id = b.block_id AND bn.langue_id = '" . LANGUE . "') 
                    WHERE b.block_id = " . $formvars['id'];
            $this->request = $sql;

            $block     = SiteSQL::getInstance()->getOne($sql);
            $blockType = $block['block_type_id'];
            $cmsPageId = $block['cms_page_id'];
        } else {
            $blockType = false;
        }
        //-- SQL

        //GROUP
        $form = new BackForm("Informations principales", "group");
        $this->addForm($form);
        //--GROUP

        // Champs du formulaire
        $form = new BackForm("Page CMS", "hidden", "cms_page_id");
        $this->addForm($form);

        $form = new BackForm("Titre", "text", "block_nom_titre");
        $form->setVar('translate', true);
        $form->addAttr('class', 'required');
        $this->addForm($form);

        $form = new BackForm("Type", "select", "block_type_id");
        $form->addOptionSQL(array("SELECT block_type_id, block_type_nom FROM block_type"));
        $this->addForm($form);

        if (empty($formvars['cms_page']) && empty($formvars['cms_page_id']) && empty($cmsPageId)) {
            $form = new BackForm("Position", "select", "block_position_id");
            $form->addOption("NULL", "---");
            $form->addOptionSQL(array("SELECT block_position_id, block_position_nom FROM block_position"));
            $this->addForm($form);
        }

        $form = new BackForm("Rang", "text", "block_rang");
        $form->addAttr('class', 'required');
        $this->addForm($form);

        $form = new BackForm("Image principale", "image", "block_nom_image");
        $this->addForm($form);

        if ($blockType == Block::TYPE_LISTE_PAGE) {
            $form = new BackForm("Slider", "select", "block_slider");
            $form->addOption("0", "NON");
            $form->addOption("1", "OUI");
            $this->addForm($form);
        }

        $form = new BackForm("Background", "select", "block_background");
        $form->addOption("0", "NON");
        $form->addOption("1", "OUI");
        $this->addForm($form);

        $form = new BackForm("Largeur", "select", "block_width_id");
        $form->addOptionSQL(array("SELECT block_width_id, block_width_nom FROM block_width"));
        $this->addForm($form);

        $form = new BackForm("Contenu", "tinymce", "block_nom_desc");
        $this->addForm($form);

        if ($blockType == Block::TYPE_GROUP_IMAGE) {
            $form = new BackForm("Groupe Images", "group");
            $form->addGroupOpts('class', 'block_image');
            $this->addForm($form);
        }

        if ($blockType == Block::TYPE_LISTE_PAGE) {
            $form = new BackForm("Pages CMS", "group");
            $form->addGroupOpts('class', 'block_page');
            $this->addForm($form);
        }

        if ($blockType == Block::TYPE_MINIBLOCS) {
            $form = new BackForm("Mini Blocs", "group");
            $form->addGroupOpts('class', 'block_block');
            $this->addForm($form);
        }

        if ($blockType == Block::TYPE_STANDARD) {
            $form = new BackForm("Liens", "group");
            $form->addGroupOpts('class', 'block_lien');
            $this->addForm($form);
        }

        $form = new BackForm("Boutiques", "group");
        $form->addGroupOpts('class', 'block_boutique');
        $this->addForm($form);

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array())
    {

        // RECHERCHE
        $form = new BackForm("Position", "select", "bp.block_position_id");
        $form->setVar("compare", "EQUAL");
        $form->addOption("", "---");
        $form->addOptionSQL(array("SELECT block_position_id, block_position_nom FROM block_position"));
        $this->addForm($form);

        $form = new BackForm("Boutique", "select", "bb.boutique_id");
        $form->addOption("", "---");
        $form->addOptionSQL(array("SELECT boutique_id, boutique_nom FROM boutique"));
        $this->addForm($form);
        //-- RECHERCHE

        $sql = " SELECT b.block_id, b.block_id";
        $sql .= ", bn.block_nom_titre";
        $sql .= ", bt.block_type_nom";
        if (empty($formvars['cms_page'])) $sql .= ", bp.block_position_nom";
        $sql .= ", bw.block_width_nom";
        $sql .= ", b.block_rang";
        $sql .= ", GROUP_CONCAT(DISTINCT(btq.boutique_nom) SEPARATOR '<br />')";

        $sql .= " FROM (block b)";
        $sql .= " LEFT JOIN block_nom bn ON (bn.block_id = b.block_id AND bn.langue_id = '" . LANGUE . "')";
        $sql .= " LEFT JOIN block_type bt ON(bt.block_type_id = b.block_type_id)";
        $sql .= " LEFT JOIN block_width bw ON(bw.block_width_id = b.block_width_id)";
        if (empty($formvars['cms_page'])) $sql .= " LEFT JOIN block_position bp ON(bp.block_position_id = b.block_position_id)";
        $sql .= " LEFT JOIN block_boutique bb ON (bb.block_id = b.block_id AND bb.block_boutique_statut_id = 1)";
        $sql .= " LEFT JOIN boutique btq ON (btq.boutique_id = bb.boutique_id)";

        $sql .= " WHERE 1";

        if (!empty($formvars['cms_page'])) {
            $sql .= " AND b.cms_page_id = '" . $formvars['cms_page'] . "'";
        } else {
            $sql .= " AND b.parent_id IS NULL AND b.cms_page_id IS NULL";
        }

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("TITRE");
        $this->addLabel($label);

        $label = new BackLabel("TYPE");
        $this->addLabel($label);

        if (empty($formvars['cms_page'])) {
            $label = new BackLabel("POSITION");
            $this->addLabel($label);
        }

        $label = new BackLabel("LARGEUR");
        $this->addLabel($label);

        $label = new BackLabel("RANG");
        $this->addLabel($label);

        $label = new BackLabel("BOUTIQUE");
        $this->addLabel($label);

        //-- LABELS

        return $this->displayList($formvars['type']);
    }

    function cleanBlockBeforeUpdate(&$formvars = array())
    {
        if (empty($formvars['cms_page_id']) || $formvars['cms_page_id'] == 'NULL') {
            unset($formvars['cms_page_id']);
        }
        if (empty($formvars['block_position_id']) || $formvars['block_position_id'] == 'NULL') {
            unset($formvars['block_position_id']);
        }
        if (empty($formvars['parent_id']) || $formvars['parent_id'] == 'NULL') {
            unset($formvars['parent_id']);
        }
        if (empty($formvars['block_type_id']) || $formvars['block_type_id'] == 'NULL') {
            unset($formvars['block_type_id']);
        }
        if (empty($formvars['block_width_id']) || $formvars['block_width_id'] == 'NULL') {
            unset($formvars['block_width_id']);
        }
    }

    //--
}