<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddClient extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("client_bon_plan", ['id' => false, 'primary_key' => ["client_bon_plan_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('client_bon_plan_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'length' => 1, 'signed' => false])
            ->addColumn('client_bon_plan_nom', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_bon_plan_id'])
            ->create();

        $this
            ->table("client_club", ['id' => false, 'primary_key' => ["client_club_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('client_club_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'length' => 1, 'signed' => false])
            ->addColumn('client_club_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_club_id'])
            ->create();

        $this
            ->table("client_newsletter", ['id' => false, 'primary_key' => ["client_newsletter_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('client_newsletter_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'length' => 1, 'signed' => false])
            ->addColumn('client_newsletter_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_newsletter_id'])
            ->create();

        $this
            ->table("client_statut", ['id' => false, 'primary_key' => ["client_statut_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('client_statut_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('client_statut_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_statut_id'])
            ->create();

        $this
            ->table("client", ['id' => false, 'primary_key' => ["client_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('client_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('civilite_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_id', 'signed' => false])
            ->addColumn('client_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'civilite_id'])
            ->addColumn('client_prenom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_nom'])
            ->addColumn('client_societe', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_prenom'])
            ->addColumn('client_ddn', 'date', ['null' => false, 'default' => '0000-00-00', 'after' => 'client_societe'])
            ->addColumn('client_email', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_ddn'])
            ->addColumn('client_telephone', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_email'])
            ->addColumn('client_fax', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_telephone'])
            ->addColumn('client_password', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_fax'])
            ->addColumn('client_newsletter_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_password', 'signed' => false])
            ->addColumn('client_statut_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_newsletter_id', 'signed' => false])
            ->addColumn('client_date_connexion', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'client_statut_id'])
            ->addColumn('client_nb_connexion', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_date_connexion'])
            ->addColumn('client_date_ajout', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'client_nb_connexion'])
            ->addColumn('client_date_modif', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'client_date_ajout'])
            ->addColumn('langue_id', 'integer', ['null' => false, 'default' => '1', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_date_modif', 'signed' => false])
            ->addColumn('client_commentaire', 'text', ['null' => false, 'limit' => 65535, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'langue_id'])
            ->addColumn('parrain_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_commentaire', 'signed' => false])
            ->addColumn('client_club_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'parrain_id', 'signed' => false])
            ->addColumn('client_bon_plan_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_club_id', 'signed' => false])
            ->addColumn('boutique_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_bon_plan_id', 'signed' => false])
            ->addForeignKey('civilite_id', 'civilite', 'civilite_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('client_newsletter_id', 'client_newsletter', 'client_newsletter_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('client_statut_id', 'client_statut', 'client_statut_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('langue_id', 'langue', 'langue_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('client_club_id', 'client_club', 'client_club_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('parrain_id', 'client', 'client_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('boutique_id', 'boutique', 'boutique_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['client_statut_id'], ['name' => "client_statut_id", 'unique' => false])
            ->addIndex(['client_newsletter_id'], ['name' => "client_newsletter_id", 'unique' => false])
            ->addIndex(['civilite_id'], ['name' => "civilite_id", 'unique' => false])
            ->addIndex(['langue_id'], ['name' => "langue_id", 'unique' => false])
            ->addIndex(['parrain_id'], ['name' => "parrain_id", 'unique' => false])
            ->addIndex(['client_club_id'], ['name' => "client_club_id", 'unique' => false])
            ->addIndex(['client_email'], ['name' => "client_email", 'unique' => false])
            ->addIndex(['boutique_id'], ['name' => "boutique_id", 'unique' => false])
            ->create();
    }
}
