<?php

namespace Event;

use Symfony\Component\EventDispatcher\Event;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class ApplicationEvent
 *
 * @package Event
 */
class ApplicationEvent extends Event
{
    const TERMINATE = 'application.terminate';
    const BEFORE_REPSONSE = 'application.before_response';
    const BEFORE_CALL_CONTROLLER = 'application.before_call_controller';

    /**
     * @var Request
     */
    protected $request;
    /**
     * @var Response
     */
    protected $response;

    /**
     * contructor
     *
     * @param Request  $request  the request object
     * @param Response $response the repsonse object
     */
    public function __construct(Request $request, Response $response)
    {
        $this->request = $request;
        $this->response = $response;
    }

    /**
     * get the request object
     *
     * @return Request
     */
    public function getRequest()
    {
        return $this->request;
    }

    /**
     * get the response object
     *
     * @return Response
     */
    public function getResponse()
    {
        return $this->response;
    }
}
