<?php

namespace Form;

use Form\Constraint\Mail;
use Form\Constraint\NotBlank;

class ContactForm extends Form
{
    function __construct()
    {
        parent::__construct();
        $texte = new \Texte();

        $this
            ->add(
                new Field(
                    "client_nom",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => $texte->getOneOrCreate("nom_obligatoire", "Vous devez remplir le champ Nom."))
                )
            )
            ->add(
                new Field(
                    "client_prenom",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => $texte->getOneOrCreate("prenom_obligatoire", "Vous devez remplir le champ Prénom."))
                )
            )
            ->add(
                new Field(
                    "client_email",
                    array(
                        "not_empty" => new NotBlank(),
                        "is_email" => new Mail(),
                    ),
                    array(
                        "not_empty" => $texte->getOneOrCreate("email_obligatoire", "Vous devez remplir le champ email."),
                        "is_email" => $texte->getOneOrCreate("email_invalide", "Vous devez utiliser un email valable."),
                    )
                )
            )
            ->add(
                new Field(
                    "client_telephone",
                    array(
                        "not_empty" => new NotBlank(),
                    ),
                    array(
                        "not_empty" => $texte->getOneOrCreate("telephone_obligatoire", "Vous devez remplir le champ téléphone."),
                    )
                )
            )
            ->add(
                new Field(
                    "sujet_id",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => $texte->getOneOrCreate("sujet_obligatoire", "Vous devez choisir un sujet de message."))
                )
            )
            ->add(
                new Field(
                    "client_message",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => $texte->getOneOrCreate("message_obligatoire", "Vous devez remplir le champ message."))
                )
            )
        ;
    }

}