<?php

namespace Form;

use Form\Constraint\EqualToField;
use Form\Constraint\NotBlank;

class PasswordForm extends Form
{
    function __construct()
    {
        parent::__construct();
        $texte = new \Texte();

        $this
            ->add(
                new Field(
                    "client_password_old",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => $texte->getOneOrCreate("password_current_obligatoire", "Vous devez remplir le champ mot de passe actuel."))
                )
            )
            ->add(
                new Field(
                    "client_password",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => $texte->getOneOrCreate("password_new_obligatoire", "Vous devez remplir le champ nouveau mot de passe."))
                )
            )
            ->add(
                new Field(
                    "client_password_confirm",
                    array(
                        "not_empty" => new NotBlank(),
                        "equal"     => new EqualToField("client_password"),
                    ),
                    array(
                        "not_empty" => $texte->getOneOrCreate("password_confirm_obligatoire", "Vous devez remplir le champ de confirmation de mot de passe."),
                        "equal"     => $texte->getOneOrCreate("password_confirm_identique", "Le mot de passe et sa confirmation doivent être identiques."),
                    )
                )
            )
        ;
    }
}