{block name="head"}
<!doctype html>
<head>
    <title>{$superRef.title|default:$ref.title|default:$txt.ref_title_default|default:""}{if !empty($titreCara)}{$titreCara}{/if}</title>
    <meta name="description" content="{$superRef.description|default:$ref.description|default:$txt.ref_desc_default|default:""}{if !empty($titreCara)} Votre recherche : {$titreCara}{/if}" />
    <meta name="keywords" content="{$superRef.keywords|default:$ref.keywords|default:$txt.ref_kw_default|default:""}" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
    {if !empty($metaRobots)}<meta name="robots" content="{$metaRobots}" />{/if}

    {* //FONTS *}
    <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
    {* FONTS// *}
    <link type="text/css" href="{asset file='/css/app.css'}" rel="stylesheet" />

    {*FAVICON*}
    <link rel="apple-touch-icon" sizes="180x180" href="{$themeFolder}/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="{$themeFolder}/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="{$themeFolder}/favicon/favicon-16x16.png">
    <link rel="manifest" href="{$themeFolder}/favicon/site.webmanifest">
    <link rel="mask-icon" href="{$themeFolder}/favicon/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">

    {if !empty($canonical)}
    <link rel="canonical" href="{$canonical}">
    {/if}

    {block name="css"}{/block}

    {if !empty($debugbarRenderer)}
        {$debugbarRenderer->renderHead()}
    {/if}

    {nocache}{if !empty($tracking_header)}{$tracking_header}{/if}{/nocache}

</head>
{/block}
<body>

{nocache}{if !empty($tracking_body)}{$tracking_body}{/if}{/nocache}

<div class="wrapSiteContainer">

    {render controller="Controller\HeaderController" action="display"}

    <div class="wrapSiteContent" id="wrapSiteContent">
        {*{debug}*}
        {*{if !empty($bloc_message) }*}
            {*<div class="container">*}
                {*<div class="row">*}
                    {*<div class="col-xs-12">*}
                        {*<div class="topMsg" style="background-color: {$bloc_message.0.ads_couleur|default:'#00c48c'};">*}
                            {*{if !empty($bloc_message.0.ads_nom_lien)}*}
                                {*<a href="{$bloc_message.0.ads_nom_lien}">{$bloc_message.0.ads_nom_texte}</a>*}
                            {*{else}*}
                                {*{$bloc_message.0.ads_nom_texte}*}
                            {*{/if}*}
                        {*</div>*}
                    {*</div>*}
                {*</div>*}
            {*</div>*}
        {*{/if}*}
        {block name="content"}

        {/block}
        {render controller="Controller\FooterController" action="display"}
    </div>
    {block name="fixedmobile"}{/block}

    {* //BUTTON - Back - Top *}
    <a class="btn btnSecondary btnBackTop" id="btnBackTop" href="#">
        <span class="btnIcon">
            <svg class="svg" version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="20px" viewBox="0 0 60 60" enable-background="new 0 0 60 60" xml:space="preserve">
                <path fill="#FFFFFF" d="M26.617,47c-0.426,0-0.81-0.155-1.111-0.448c-0.297-0.289-0.46-0.672-0.46-1.082
                    c0-0.409,0.163-0.793,0.46-1.082L40.285,30L25.506,15.611c-0.297-0.289-0.46-0.673-0.46-1.082c0-0.409,0.163-0.793,0.46-1.082
                    C25.803,13.159,26.197,13,26.617,13s0.815,0.159,1.111,0.448l15.89,15.47c0.612,0.597,0.612,1.567,0,2.164l-15.89,15.471
                    C27.428,46.845,27.043,47,26.617,47z"/>
            </svg>
        </span>
        <span class="btnName hidden-xs hidden-sm hidden-md">
            {txt value="Retour en haut de page"}
        </span>
    </a>
    {* BUTTON - Back - Top// *}

    {* // BANDEAU COOKIE *}
    <div class="bandeau_cookie">
        {render controller="Controller\CookieController" action="show"}
    </div>
    {* BANDEAU COOKIE // *}

</div>

{*<div id="ajaxPopup"></div>*}
{block name="popup"}{/block}
{include file="popup/newsletter.tpl"}

<script type="text/javascript" src="{asset file='/js/app.js'}"></script>

{block name="script"}{/block}
{block name="script-js"}{/block}

{nocache}{if !empty($tracking_footer)}{$tracking_footer}{/if}{/nocache}
{nocache}{block name="tracking"}{/block}{/nocache}

{if !empty($debugbarRenderer)}
    {$debugbarRenderer->render()}
{/if}

</body>
</html>
