/* MAIN.JS */
$(document).ready(function(){

    // ------------------------------------------------------=> FORMS
    //Input File
    var fileInput = $('.file');
    $(fileInput).change(function () {
        $this = $(this);
        $nameFile = $($this).val().replace(/C:\\fakepath\\/i, '');
        $this.closest('.wrapInputfile').find('input[type=text]').attr("value", $nameFile);
    });

    //FLOAT LABEL
    floatLabel();

    //POPOVERS
    popovers();

    //Sous-menu Header compte et panier
    $('.wrapHeaderTopAccount').on('mouseenter', function () {
        $(this).addClass('active');
    }).on('mouseleave', function (e) {
        if (e.relatedTarget != null) {
            $(this).removeClass('active');
        }
    });
    $('.wrapHeaderTopCart').on('mouseenter', function () {
        $(this).addClass('active');
    }).on('mouseleave', function (e) {
        if (e.relatedTarget != null) {
            $(this).removeClass('active');
        }
    });

    // ------------------------------------------------------=> BOOTSTRAP TOOLTIPS
    $('[data-toggle="tooltip"]').tooltip();

    // ------------------------------------------------------=> DATEPICKER
    $('.wrapFloatLabel .datepicker').datepicker({
        onClose: function() {
            if($(this).val()!='') {
                $(this).addClass('active');
            }
        }
    });

    //  ------------------------------------------------------=> MAIN MENU
    dediMenu();
    overlaySite();

    // ===================ANCHOR LINKS SMOOTHSCROLL
    jQuery(document).on('click', "a.smoothscroll", function(e){
        e.preventDefault();
        smoothScroll(this);
    });


    //------------------------------------------=> Boostrap accordion collapse add class active
    jQuery(".panel-group .panel-default").each(function(){
        var collapseLink = jQuery(this).find('.deliveryLabel');
        var thisPanel = jQuery(this);
        var others = jQuery(".panel-group .panel-default").not(this);
        jQuery(collapseLink).on('click', function () {
            thisPanel.addClass('active');
            others.removeClass('active');
        });
    });


});

$(window).on('load', function () {
    setTimeout(function () {
        if (navigator.userAgent.search("Chrome") >= 0) {
            jQuery('input.floatLabelInput:-webkit-autofill').addClass('active');
        }
    },500);
});

var smoothScroll = function (link) {
    var target = jQuery("#" + jQuery(link).attr("href").split("#")[1]);
    if(target.length > 0){
        jQuery('html, body').animate({scrollTop: target.offset().top - 250}, 500);
    }
};


//  ------------------------------------------------------=> FORMS FLOATING LABELS
function floatLabel() {
    jQuery('.floatLabelInput').each(function(){
        if(!jQuery(this).val().length == 0 || !jQuery(this).attr('placeholder') == 0) {
            jQuery(this).addClass('active');
        }else{
            jQuery(this).removeClass('active');
        }
    });
    jQuery(document).on('focus', '.floatLabelInput', function(){
        var $this = jQuery(this);
        if($this.find('.active').length == 0) {
            $this.addClass('active');
        } else {
            $this.removeClass('active');
        }
    });
    jQuery(document).on('blur', '.floatLabelInput', function(){
        if(!jQuery(this).val().length == 0 || !jQuery(this).attr('placeholder') == 0) {
            jQuery(this).addClass('active');
        } else {
            jQuery(this).removeClass('active');
        }
    });
}

//  ------------------------------------------------------=> POPOVERS
function popovers() {
    jQuery('[data-toggle="popover"]').popover({
        html: true
    });
}


/*
* FONCTION QUI APPELLE LE MENU
* */
function dediMenu() {

    // Déclaration des variables
    var pictoMenu = document.getElementById('pictoMenu'),
        wrapSiteHide = document.getElementById('wrapSiteHide'),
        bodyPage = document.body,
        arrowR = document.querySelectorAll('a.arrowR'),
        backMenu = document.querySelectorAll('a.backMenuLink'),
        arrowRFold = document.querySelectorAll('.hadSubMenu.fold > div .arrowR'),
        linkFirstLevel = document.querySelectorAll('.linkFirstMenu');

    // Event click sur le picto du menu
    pictoMenu.onclick = function(e) {
        e.preventDefault();
        bodyPage.classList.toggle('openSidebar');
    };
    // Event click sur l'overlay pour fermer le menu
    wrapSiteHide.onclick = function(e) {
        e.preventDefault();
        bodyPage.classList.remove('openSidebar');
    };

    // Detection du click sur la bonne flèche pour le menu suivant et affectation de la classe open
    for (var item of arrowR) {
        item.onclick = function(e) {
            e.preventDefault();
            this.parentNode.nextElementSibling.classList.add('open');
        };
    }

    // Detection du click sur la bonne flèche pour le retour arrière et suppression de la classe open
    for (var item of backMenu) {
        item.onclick = function(e) {
            e.preventDefault();
            this.closest('.blocMenu').classList.remove('open');
        };
    }

    /*
    * FOLD : Détection du click sur le bon + et ajout des classes pour ouvrir et fermer le menu de dessous.
    * */
    for(item of arrowRFold) {
        item.onclick = function(e) {
            e.preventDefault();
            var parentFold = this.parentNode.nextElementSibling;
            if(parentFold.classList.contains('openFold')) {
                this.classList.remove('unfold');
                parentFold.classList.remove('openFold');
                parentFold.classList.add('openUnfold');
            }else{
                this.classList.add('unfold');
                parentFold.classList.add('openFold');
                parentFold.classList.remove('openUnfold');
            }
        }
    }

    /*
    * /!\ PARTIE 1024px : A n'activer que si nécessaire. Désactive les liens de premiers niveaux pour afficher le sous-menu en tablette paysage.
    * */
    if(window.matchMedia("(width: 1024px)").matches) {
        /*
         Désactivation du click pour tablette sur le premier niveau de menu pour afficher le menu déroulant
         Effectif que pour le format 1024px
         */
        for (var item of linkFirstLevel) {
            item.onclick = function(e) {
                e.preventDefault();
            };
        }
    }
    window.addEventListener("resize", function(){
        if(window.innerWidth == 1024){
            for (var item of linkFirstLevel) {
                item.onclick = function(e) {
                    e.preventDefault();
                };
            }
        }else{
            for (var item of linkFirstLevel) {
                item.onclick = function() {
                    return true;
                };
            }
        }
    });

}

/*
* FONCTION OVERLAY DU CONTENU SUR HOVER MENU
* */
function overlaySite() {

    var firstLi = document.querySelectorAll('.menu .firstLevel > li'),
        target = document.querySelector('.wrapSiteContent');


    for(item of firstLi) {
        item.onmouseenter = function() {
            if(this.classList.contains('hadSubMenu')) {
                target.classList.add('menuOn')
            }else{
                target.classList.remove('menuOn')
            }
        }
    }
    target.onmouseenter = function(){
        if(target.classList.contains('menuOn')) {
            this.classList.remove('menuOn');
        }
    };

}


// POLYFILL IE/Edge pour closest en JAVASCRIPT
if (!Element.prototype.matches)
    Element.prototype.matches = Element.prototype.msMatchesSelector ||
    Element.prototype.webkitMatchesSelector;

if (!Element.prototype.closest)
    Element.prototype.closest = function(s) {
        var el = this;
        if (!document.documentElement.contains(el)) return null;
        do {
            if (el.matches(s)) return el;
            el = el.parentElement || el.parentNode;
        } while (el !== null && el.nodeType == 1);
        return null;
    };

// region Gestion des Formulaires
/**
 * Traite le retour d'un appel Ajax et affiche les erreurs / success
 * TODO : détailler le format de res attendu
 * @param firingElement
 * @param res
 */
function handleAjaxResult(firingElement, res) {

    var ctr;
    var eventName = firingElement.data("event");

    if (firingElement.is("FORM")) {
        // Form
        ctr = firingElement;
    } else {
        // Button
        ctr = $(firingElement.data("target"));
    }

    ctr.find(".form-group").removeClass("error");
    ctr.find(".help-block").remove();
    ctr.find(".invalid-feedback").remove();

    var resultBox = ctr.find("[data-result]");

    if (resultBox.length) {
        resultBox.hide();
    }

    if (res.reload) {
        window.location.reload();
    }

    if (res.redirect) {
        window.location.href = res.redirect;
    }

    if (res.show) {
        var selectors = res.show;
        for (var selector in selectors) {
            if (selectors.hasOwnProperty(selector)) {
                $(selectors[selector]).show();
            }
        }
    }

    if (res.hide) {
        var selectors = res.hide;
        for (var selector in selectors) {
            if (selectors.hasOwnProperty(selector)) {
                $(selectors[selector]).hide();
            }
        }
    }

    if (res.field_errors) {
        var errors = JSON.parse(res.field_errors);
        for (var fieldName in errors) {
            if (errors.hasOwnProperty(fieldName)) {
                var field = ctr.find("[name="+fieldName+"]").closest(".form-group");
                field.addClass('error');

                for (var j = 0; j < errors[fieldName].length; j++) {
                    field.find('div.invalid-feedback').remove();
                    field.append("<div class=\"invalid-feedback\" style=\"display: block;\">" + errors[fieldName][j] + "</div>");
                }
            }
        }
    }

    if (res.error) {
        resultBox.removeClass("alert alert-success");
        resultBox.addClass("alert alert-danger");
        resultBox.text(res.error);
        resultBox.show();
    }

    if (res.success) {
        ctr.find('div.invalid-feedback').remove();
        resultBox.removeClass("alert alert-danger");
        resultBox.addClass("alert alert-success");
        resultBox.text(res.success);
        resultBox.show();

        if (res.tag) {
            pushTagDemandeRappel(res.tag);
        }
    }

    if (res.popup) {
        var varModal = $("#modalBase");
        varModal.html(res.popup);
        $("#modalBase .modal").modal('toggle');
    }

    if (res.replace) {
        var selectors = res.replace;
        for (var selector in selectors) {
            if (selectors.hasOwnProperty(selector)) {
                $(selector).html(selectors[selector]);
            }
        }
    }

    $(".selectpicker").selectpicker();

    if (eventName) {
        var event = jQuery.Event(eventName);
        event.payload = res.payload || {};
        $(document).trigger(event);
    }
}

/**
 * Déclenchement d'un appel AJAX au clic
 */
$(document).on('click', '[data-aclk]', function(e) {
    e.preventDefault();
    var that = $(this);
    var data = that.data();
    $.ajax({
        method: data['method'] || "POST",
        url: data["url"],
        dataType: "JSON",
        data: data,
        success: function(res) {
            handleAjaxResult(that, res);
        }
    });

});

/**
 * Envoi des formulaires AJAX et/ou Captcha
 */
$(document).on("submit", "[data-ajf], [data-gcf]", function(e) {
    e.preventDefault();
    var that = $(this);

    prePost(that).then(function(){
        if(typeof undefined !== typeof that.attr("data-ajf")) {
            $.ajax({
                method: that.attr("method") || "POST",
                url: that.attr("action"),
                dataType: "JSON",
                data: that.serialize(),
                success: function(res) {
                    handleAjaxResult(that, res);
                }
            });
        } else {
            // TODO - A tester et finaliser : cas d'un formulaire non-ajax pour lequel on veut quand même valider la Captcha
            e.returnValue = true;
        }
    });
});

/**
 * PrePost callback pour valider le Captcha avant envoi pour validation Server-Side
 * @param form
 * @returns {Promise<T>}
 */
function prePost(form) {
    var inputCaptcha = form.find('input[name="g-recaptcha-response"]');

    var promise = new Promise(function(resolve, reject) {
        setTimeout(function() {
            resolve('');
        }, 1);
    });

    if(1 === inputCaptcha.length
        && window.captcha_v3_sitekey
    ) {
        return grecaptcha.execute(window.captcha_v3_sitekey).then(function(token){
            inputCaptcha[0].value = token;
        });
    }

    return promise;
}
// endregion