{extends file="layout/layout.tpl"}

{block name="content"}
    <div class="styleguide">
        <div class="container">
            <h1 class="mainTitle">Styleguide</h1>

            {* COLORS *}
            <section>
                <h2 class="sectionTitle">Colors</h2>
                <div class="row">
                    <div class="col-sm">
                        <span class="styleguidecolor bg-primary"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-secondary"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-dark"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-light"></span>
                    </div>
                </div>
            </section>
            {* //COLORS *}

            {* TITLES AND TEXTS *}
            <section>
                <h2 class="sectionTitle">Typography</h2>
                <div class="row">
                    <div class="col-sm">
                        <h1 class="h1">Titre niveau 1</h1>
                        <h2 class="h2">Titre niveau 2</h2>
                        <h3 class="h3">Titre niveau 3</h3>
                        <h4 class="h4">Titre niveau 4</h4>
                        <h5 class="h5">Titre niveau 5</h5>
                        <h6 class="h6">Titre niveau 6</h6>
                    </div>
                    <div class="col-sm">
                        <p class="lead">Annua Macedonum spatio consueta Indi Euphrate prope ad prope opulentis magna Euphrate spatio Indi Seres mercatoribus magna Seres convenit nundinas mercatoribus ad annua opulentis promiscuae terra priscorum sollemnitate mercatoribus marique.</p>
                        <p>Siquis enim militarium vel honoratorum aut nobilis inter suos rumore tenus esset <strong>insimulatus fovisse partes hostiles</strong>, iniecto onere catenarum in modum beluae trahebatur et <a href="#">exemple de lien dans du texte</a>, quasi sufficiente hoc solo, quod nominatus esset aut delatus aut postulatus, capite vel multatione bonorum aut insulari solitudine damnabatur.</p>
                        <br/>
                        <p><a href="#" class="text-primary">Exemple de lien principal</a></p>
                        <p><a href="#" class="text-secondary">Exemple de lien secondaire</a></p>
                        <br/>
                        <p>Exemple de liste :</p>
                        <ul class="listPuce">
                            <li>Item 1</li>
                            <li>Item 2 plus long que le précédent : Annua Macedonum spatio consueta Indi Euphrate prope ad prope opulentis magna Euphrate spatio</li>
                        </ul>
                    </div>
                </div>
            </section>
            {* // TITLES AND TEXTS *}

            {* BUTTONS *}
            <section class="buttons">
                <h2 class="sectionTitle">Buttons</h2>
                <div class="row">
                    <div class="col-sm">
                        <a href="#" class="btn btn-primary">.btn-primary</a> <a href="#" class="btn btn-outline-primary">.btn-outline-primary</a><br>
                        <a href="#" class="btn btn-primary btn-lg">.btn-primary .btn-lg</a> <a href="#" class="btn btn-outline-primary btn-lg">.btn-outline-primary .btn-lg</a><br>
                        <a href="#" class="btn btn-primary btn-sm">.btn-primary .btn-sm</a> <a href="#" class="btn btn-outline-primary btn-sm">.btn-outline-primary .btn-sm</a><br>
                        <a href="#" class="btn btn-primary btn-block">.btn-primary .btn-block</a> <a href="#" class="btn btn-outline-primary btn-block">.btn-outline-primary .btn-block</a>
                    </div>
                    <div class="col-sm">
                        <a href="#" class="btn btn-secondary">.btn-secondary</a> <a href="#" class="btn btn-outline-secondary">.btn-outline-secondary</a><br>
                        <a href="#" class="btn btn-secondary btn-lg">.btn-secondary .btn-lg</a> <a href="#" class="btn btn-outline-secondary btn-lg">.btn-outline-secondary .btn-lg</a><br>
                        <a href="#" class="btn btn-secondary btn-sm">.btn-secondary .btn-sm</a> <a href="#" class="btn btn-outline-secondary btn-sm">.btn-outline-secondary .btn-sm</a><br>
                        <a href="#" class="btn btn-secondary btn-block">.btn-secondary .btn-block</a> <a href="#" class="btn btn-outline-secondary btn-block">.btn-outline-secondary .btn-block</a>
                    </div>
                </div>
            </section>
            {* // BUTTONS*}

            {*ELEMENTS*}
            <section>
                <h2 class="sectionTitle">Elements</h2>
                <div class="row">
                    <div class="col-sm">

                    </div>

                    <div class="col-sm">
                        <div class="customScrollBlock" data-simplebar style="max-height: 200px">
                            <p>
                                Exemple de contenu haut
                                Itaque tum Scaevola cum in eam ipsam mentionem incidisset, exposuit nobis sermonem Laeli de amicitia habitum ab illo secum et cum altero genero, C. Fannio Marci filio, paucis diebus post mortem Africani. Eius disputationis sententias memoriae mandavi, quas hoc libro exposui arbitratu meo; quasi enim ipsos induxi loquentes, ne 'inquam' et 'inquit' saepius interponeretur, atque ut tamquam a praesentibus coram haberi sermo videretur.

                                Adolescebat autem obstinatum propositum erga haec et similia multa scrutanda, stimulos admovente regina, quae abrupte mariti fortunas trudebat in exitium praeceps, cum eum potius lenitate feminea ad veritatis humanitatisque viam reducere utilia suadendo deberet, ut in Gordianorum actibus factitasse Maximini truculenti illius imperatoris rettulimus coniugem.

                                Quare talis improborum consensio non modo excusatione amicitiae tegenda non est sed potius supplicio omni vindicanda est, ut ne quis concessum putet amicum vel bellum patriae inferentem sequi; quod quidem, ut res ire coepit, haud scio an aliquando futurum sit. Mihi autem non minori curae est, qualis res publica post mortem meam futura, quam qualis hodie sit.
                            </p>
                        </div>
                    </div>
                </div>
            </section>
            {* // ELEMENTS*}

            {*COLLAPSE *}
            <section>
                <h2 class="sectionTitle">Collapses/Accordions</h2>
                <div class="row">
                    <div class="col-sm">
                        {*COLLAPSE*}
                        <a class="titleCollapse collapsed" role="button" data-toggle="collapse" href="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
                            Exemple de titre d'élement collapse
                        </a>
                        <div class="collapse multi-collapse" id="collapseExample">
                            <div class="bodyCollapse">
                                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                            </div>
                        </div>
                        <a class="titleCollapse collapsed" role="button" data-toggle="collapse" href="#collapseExample2" aria-expanded="false" aria-controls="collapseExample">
                            Exemple de titre d'élement collapse
                        </a>
                        <div class="collapse multi-collapse" id="collapseExample2">
                            <div class="bodyCollapse">
                                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                            </div>
                        </div>
                        <a class="titleCollapse collapsed" role="button" data-toggle="collapse" href="#collapseExample3" aria-expanded="false" aria-controls="collapseExample">
                            Exemple de titre d'élement collapse
                        </a>
                        <div class="collapse multi-collapse" id="collapseExample3">
                            <div class="bodyCollapse">
                                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                            </div>
                        </div>
                        {* // COLLAPSE*}
                    </div>

                    <div class="col-sm">
                        {*ACCORDION*}
                        <div id="accordion" class="accordionWrapper">
                            <div class="card">
                                <div class="card-header" id="headingOne">
                                    <button class="btn btn-link" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                        Exemple Accordéon #1
                                    </button>
                                </div>

                                <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordion">
                                    <div class="card-body">
                                        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
                                    </div>
                                </div>
                            </div>
                            <div class="card">
                                <div class="card-header" id="headingTwo">
                                    <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                        Exemple Accordéon #2
                                    </button>
                                </div>
                                <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordion">
                                    <div class="card-body">
                                        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
                                    </div>
                                </div>
                            </div>
                            <div class="card">
                                <div class="card-header" id="headingThree">
                                    <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                        Exemple Accordéon #3
                                    </button>
                                </div>
                                <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordion">
                                    <div class="card-body">
                                        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
                                    </div>
                                </div>
                            </div>
                        </div>
                        {* // ACCORDION *}
                    </div>
                </div>
            </section>
            {* // COLLAPSE *}

            {* FORMS ELEMENTS *}
            <section>
                <h2 class="sectionTitle">Forms</h2>
                <div class="row">
                    <div class="col-sm">
                        {* QUANTITE *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="qty">
                                        <button class="qtyMinus">-</button>
                                        <input type="number" id="" name="" value="1" class="form-control">
                                        <button class="qtyPlus">+</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {* // QUANTITE *}

                        {* CHECKBOX / RADIO *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group radioList">
                                    <label class="radioListLabel">Label</label>
                                    <label for="myRadio" class="radio">
                                        <input type="radio" name="radioGroup" id="myRadio" checked>
                                        <span class="spanRadio"><span></span></span>
                                        <span class="text">Oui</span>
                                    </label>
                                    <label for="myRadio2" class="radio">
                                        <input type="radio" name="radioGroup" id="myRadio2">
                                        <span class="spanRadio"><span></span></span>
                                        <span class="text">Non</span>
                                    </label>
                                </div>
                            </div>
                            <div class="col-sm">
                                <div class="form-group checkboxList">
                                    <label class="checkboxListLabel">Label</label>
                                    <label for="myCheckbox1" class="checkbox">
                                        <input type="checkbox" name="myCheckbox1" id="myCheckbox1" checked>
                                        <span class="spanCheckbox"><span></span></span>
                                        <span class="text">Choix 1</span>
                                    </label>
                                    <label for="myCheckbox2" class="checkbox">
                                        <input type="checkbox" name="myCheckbox2" id="myCheckbox2">
                                        <span class="spanCheckbox"><span></span></span>
                                        <span class="text">Choix 2</span>
                                    </label>
                                </div>
                            </div>
                        </div>
                        {* // CHECKBOX / RADIO *}

                        <fieldset class="formFieldset">
                            <legend class="formLegend">Exemple de fieldset</legend>

                            {* INPUT TEXT *}
                            <div class="row">
                                <div class="col-sm">
                                    <div class="form-group">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="txt1" class="form-control floatLabelInput">
                                            <label for="txt1" class="floatLabel"><span class="floatLabelContent">Exemple de label</span></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm">
                                    <div class="form-group">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="txt2" class="form-control floatLabelInput" placeholder="Exemple de placeholder">
                                            <label for="txt2" class="floatLabel"><span class="floatLabelContent">Exemple de label actif</span></label>
                                        </div>
                                        <div class="form-text text-muted">Exemple d’indication complémentaire (petit tips)</div>
                                    </div>
                                </div>
                            </div>
                            {* // INPUT TEXT *}

                            {* INPUT DATE *}
                            <div class="row">
                                <div class="col-sm">
                                    <div class="form-group">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="txtDate" class="form-control floatLabelInput datepicker">
                                            <label for="txtDate" class="floatLabel"><span class="floatLabelContent">Exemple de datepicker</span></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {* // INPUT DATE *}

                            {* TEXTAREA *}
                            <div class="row">
                                <div class="col-sm">
                                    <div class="form-group">
                                        <div class="wrapFloatLabel wrapFloatLabelTextarea">
                                            <textarea cols="0" rows="6" id="textarea" class="form-control floatLabelInput"></textarea>
                                            <label for="textarea" class="floatLabel"><span class="floatLabelContent">Label de textarea</span></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {* // TEXTAREA *}
                        </fieldset>

                    </div>
                    <div class="col-sm">
                        {* SELECT *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="wrapFloatLabel">
                                        <select name="sujet" class="selectpicker" id="select">
                                            <option value="">--- Votre choix ---</option>
                                            <option value="1">Option 1</option>
                                            <option value="2">Option 2</option>
                                            <option value="3">Option 3</option>
                                        </select>
                                        <label for="select" class="floatLabel"><span class="floatLabelContent">Exemple de label de select</span></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {* // SELECT *}

                        {* INPUT FILE *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="wrapFloatLabel wrapInputfile input-group">
                                        <input type="file" class="file form-control">
                                        <div class="input-group-prepend">
                                            <button class="btn btn-primary" type="button">Parcourir</button>
                                        </div>
                                        <input type="text" class="form-control" disabled="" placeholder="Choisissez votre fichier">
                                    </div>
                                </div>
                            </div>
                        </div>
                        {* // INPUT FILE *}

                        {* INPUT SUBMIT *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="wrapFloatLabel input-group">
                                        <input type="text" class="form-control floatLabelInput" id="txtGroup1">
                                        <label for="txtGroup1" class="floatLabel"><span class="floatLabelContent">Exemple de label</span></label>
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">OK</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="wrapFloatLabel input-group">
                                        <input type="text" class="form-control floatLabelInput" id="txtGroup2">
                                        <label for="txtGroup2" class="floatLabel"><span class="floatLabelContent">Exemple de label</span></label>
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="button">OK</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {* // INPUT SUBMIT *}

                        {* FORM-ROW *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-row">
                                    <div class="col">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="name" class="form-control floatLabelInput">
                                            <label for="name" class="floatLabel"><span class="floatLabelContent">Nom</span></label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="firstName" class="form-control floatLabelInput">
                                            <label for="firstName" class="floatLabel"><span class="floatLabelContent">Prénom</span></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="inputCity" class="form-control floatLabelInput">
                                            <label for="inputCity" class="floatLabel"><span class="floatLabelContent">Ville</span></label>
                                        </div>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <div class="wrapFloatLabel">
                                            <select name="inputState" class="selectpicker" id="inputState">
                                                <option value="">Pays</option>
                                                <option value="1">Option 1</option>
                                                <option value="2">Option 2</option>
                                                <option value="3">Option 3</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="inputZip" class="form-control floatLabelInput">
                                            <label for="inputZip" class="floatLabel"><span class="floatLabelContent">CP</span></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {* // FORM-ROW *}

                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                        {* NOTIFICATION FORM *}
                        <p class="alert alert-info">Exemple de message d'information</p>
                        <p class="alert alert-warning">Exemple de message de notification</p>
                        <p class="alert alert-success">Exemple de message de validation</p>
                        <p class="alert alert-danger">Exemple de message d'erreur</p>
                    </div>
                    <div class="col-sm">
                        <div class="form-group">
                            <div class="wrapFloatLabel">
                                <input type="text" id="txt4" class="form-control floatLabelInput is-valid" value="Test champ avec label rempli valide">
                                <label for="txt4" class="floatLabel"><span class="floatLabelContent">Exemple de label actif</span></label>
                            </div>
                            <div class="valid-feedback">Exemple de message de validation</div>
                        </div>
                        <div class="form-group">
                            <div class="wrapFloatLabel">
                                <input type="text" id="txt4" class="form-control floatLabelInput is-invalid" value="Test champ avec label rempli invalide">
                                <label for="txt4" class="floatLabel"><span class="floatLabelContent">Exemple de label actif</span></label>
                            </div>
                            <div class="invalid-feedback">Exemple de message d'erreur</div>
                        </div>
                        <div class="form-group">
                            <select name="sujet" class="selectpicker is-invalid" id="select">
                                <option value="">Exemple select</option>
                                <option value="1">Option 1</option>
                                <option value="2">Option 2</option>
                                <option value="3">Option 3</option>
                            </select>
                            <div class="invalid-feedback">Exemple de message d'erreur</div>
                        </div>
                        <div class="form-group">
                            <label for="invalidCheck" class="checkbox">
                                <input type="checkbox" name="invalidCheck" id="invalidCheck" class="is-invalid">
                                <span class="spanCheckbox"><span></span></span>
                                <span class="text">Exemple de case à cocher obligatoire</span>
                            </label><br>
                            <label for="invalidCheck2" class="checkbox">
                                <input type="checkbox" name="invalidCheck" id="invalidCheck2" class="is-invalid">
                                <span class="spanCheckbox"><span></span></span>
                                <span class="text">Exemple de case à cocher obligatoire</span>
                            </label>
                            <div class="invalid-feedback">
                                Exemple de message d'erreur
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="invalidRadio" class="radio">
                                <input type="radio" name="invalidRadio" id="invalidRadio" class="is-invalid">
                                <span class="spanRadio"><span></span></span>
                                <span class="text">Exemple de case à cocher obligatoire</span>
                            </label><br>
                            <label for="invalidRadio2" class="radio">
                                <input type="radio" name="invalidRadio" id="invalidRadio2" class="is-invalid">
                                <span class="spanRadio"><span></span></span>
                                <span class="text">Exemple de case à cocher obligatoire</span>
                            </label>
                            <div class="invalid-feedback">
                                Exemple de message d'erreur
                            </div>
                        </div>
                        {* // NOTIFICATION FORM *}
                    </div>
                </div>
            </section>
            {* // FORMS ELEMENTS *}

            {* TABLE *}
            <section>
                <h2 class="sectionTitle">Tables</h2>
                <div class="row">
                    <div class="col-md">
                        <div class="table">
                            <div class="tableRow tableTitle">
                                <div class="tableCell">Tableau type 2 (div)</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A<br>sur deux lignes</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md">
                        <table class="table">
                            <tr class="tableRow tableTitle">
                                <th class="tableCell" colspan="2">Tableau type 2 (table)</th>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A<br>sur deux lignes</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                        </table>
                    </div>
                </div>
            </section>
            {* // TABLE *}

            {* SLIDER *}
            <section>
                <h2 class="sectionTitle">Sliders</h2>

                {* MAIN SLIDER *}
                <div class="owl-carousel owl-theme mainSlider">
                    <div class="item">
                        <div class="imgWrapper">
                            <img src="https://via.placeholder.com/1110x400" alt="Slide 1">
                        </div>
                    </div>
                    <div class="item">
                        <div class="imgWrapper">
                            <img src="https://via.placeholder.com/1110x400/808080" alt="Slide 2">
                        </div>
                    </div>
                    <div class="item">
                        <div class="imgWrapper">
                            <img src="https://via.placeholder.com/1110x400/000000" alt="Slide 3">
                        </div>
                    </div>
                </div>
                {* // MAIN SLIDER *}

                {* IMAGE PRODUCT *}
                <div class="row">
                    <div class="col-md-6">
                        <div class="productCarouselWrapper">
                            <div class="owl-carousel owl-theme productCarousel">
                                <div class="item">
                                    <div class="item easyzoom easyzoom--overlay" data-dot='<img src="https://via.placeholder.com/180x150" alt="" class="img-fluid">'>
                                        <a href="https://via.placeholder.com/767x620">
                                            <img src="https://via.placeholder.com/767x620" alt="Slide 1" class="img-fluid">
                                        </a>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="item easyzoom easyzoom--overlay" data-dot='<img src="https://via.placeholder.com/180x150/808080" alt="" class="img-fluid">'>
                                        <a href="https://via.placeholder.com/767x620/808080">
                                            <img src="https://via.placeholder.com/767x620/808080" alt="Slide 2" class="img-fluid">
                                        </a>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="item easyzoom easyzoom--overlay" data-dot='<img src="https://via.placeholder.com/180x150/000000" alt="" class="img-fluid">'>
                                        <a href="https://via.placeholder.com/767x620/000000">
                                            <img src="https://via.placeholder.com/767x620/000000" alt="Slide 3" class="img-fluid">
                                        </a>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="item easyzoom easyzoom--overlay" data-dot='<img src="https://via.placeholder.com/180x150/CCCCCC" alt="" class="img-fluid">'>
                                        <a href="https://via.placeholder.com/767x620/CCCCCC">
                                            <img src="https://via.placeholder.com/767x620/CCCCCC" alt="Slide 4" class="img-fluid">
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="productCarouselPager owl-dots"></div>
                        </div>
                    </div>
                </div>
                {* // IMAGE PRODUCT *}
            </section>
            {* // SLIDER *}

            {* POPOVERS *}
            <section id="popovers">
                <h2 class="sectionTitle">Popovers</h2>

                <div class="row">
                    {for $col=1 to 6}
                        <div class="col-sm-4 col-lg-2">
                            <button class="btn btn-primary btn-block" id="popover-{$col}" type="button" data-toggle="popover" title="<b>Titre de l'infobulle #{$col}</b>" data-content="<p>Par défaut, l'infobulle se place à <u>droite</u>. Toutefois, sa position est <u>responsive</u>, elle s'adapte en fonction de la largeur de la fenêtre, il peut alors se placer à gauche.</p><p><a href='#'>Lien hypertexte</a></p>">.popover #{$col}</button>
                        </div>
                    {/for}
                </div>
            </section>
            {* // POPOVERS *}

            {* BLOC PRODUIT *}
            <section>
                <h2 class="sectionTitle">Blocs produits</h2>

                <div class="row">
                    {for $i=1 to 4}
                    <div class="col-sm-6 col-lg-3 d-flex align-items-stretch">
                        <figure class="card productBlock">
                            <a href="">
                                {if $i==1}<p class="mainTag">Promo</p>{/if}
                                <img src="https://via.placeholder.com/250x200" alt="Nom du produit" class="img-fluid">
                            </a>
                            <div class="card-body">
                                <h3 class="card-title"><a href="">Nom du produit{if $i==2} un peu plus long{/if}</a></h3>
                                <p class="card-text">Courte description. Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                            </div>
                            <div class="card-footer">
                                <div class="card-price">
                                    <div class="row">
                                        <div class="col">
                                            <p class="price">10.00 €</p>
                                            {if $i==1}
                                                <p class="oldPrice">20.00 €</p>
                                                <p class="tag">-50%</p>
                                            {/if}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-auto pr-0">
                                        <div class="qty">
                                            <button class="qtyMinus">-</button>
                                            <input type="number" id="" name="" value="1" class="form-control">
                                            <button class="qtyPlus">+</button>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <a href="" class="btn btn-secondary btn-block">Acheter</a>
                                    </div>
                                </div>
                            </div>
                        </figure>
                    </div>
                    {/for}
                </div>

                <div class="row">
                    {for $i=1 to 2}
                        <div class="col-12">
                            <figure class="card productBlock2">
                                <div class="imgWrapper">
                                    {if $i==1}<p class="mainTag">Promo</p>{/if}
                                    <a href="" class="contentFlex">
                                        <img class="img-fluid" src="https://via.placeholder.com/150x110" alt="">
                                    </a>
                                </div>
                                <div class="titleWrapper">
                                    <div class="contentFlex">
                                        <h3 class="card-title"><a href="">Nom du produit</a></h3>
                                        <p class="ref text-muted">Ref : ABCD123456789</p>
                                    </div>
                                </div>
                                <div class="textWrapper">
                                    <div class="contentFlex desc">Courte description. Lorem ipsum dolor sit amet, consectetur adipisicing elit.</div>
                                </div>
                                <div class="priceWrapper">
                                    <div class="card-price contentFlex">
                                        {if $i==1}
                                            <p class="tag">-50%</p>
                                            <p class="oldPrice">20.00 €</p>
                                        {/if}
                                        <p class="price">XXX.XX €</p>
                                    </div>
                                </div>
                                <div class="qtyWrapper">
                                    <div class="contentFlex">
                                        <label>Quantité :</label>
                                        <div class="qty">
                                            <button class="qtyMinus">-</button>
                                            <input type="number" id="" name="" value="1" class="form-control">
                                            <button class="qtyPlus">+</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="btnWrapper">
                                    <div class="contentFlex">
                                        <a href="#" class="btn btn-secondary btn-block"><span>Ajouter au panier</span></a>
                                    </div>
                                </div>
                            </figure>
                        </div>
                    {/for}
                </div>
            </section>
            {* // BLOC PRODUIT *}

            {* BLOC CONTENU *}
            <section>
                <h2 class="sectionTitle">Blocs contenu</h2>

                <div class="row">
                    <div class="col-sm-6">
                        <div class="card contentCard">
                            <div class="card-header">
                                <h2 class="h2">Titre du bloc</h2>
                            </div>
                            <div class="card-body">
                                Ceci est du contenu. Lorem Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ex, iste, quas. Aperiam delectus dicta ducimus fugit maiores maxime necessitatibus provident rerum soluta sunt! Commodi, dicta facilis minima quia quod rerum.
                            </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-secondary">{txt key="login_new_btn" value="Je crée un compte"}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            {* // BLOC CONTENU *}
        </div>
    </div>

{/block}

{block name="script-js"}
    <script type="text/javascript">
        {* CAROUSELS *}
        $('.mainSlider').owlCarousel({
            loop:true,
            dots:true,
            items:1,
            autoplay:true,
            autoplayTimeout:8000
        });
        $('.productCarousel').owlCarousel({
            nav: false,
            dots: true,
            dotsSpeed: 1200,
            dotsData: true,
            margin: 10,
            dotsContainer: '.productCarouselPager',
            items:1,
            onInitialized: function(owl) {
                var dot = $('.productCarouselPager .owl-dot');
                dot.on('click', function() {
                    $('.productCarousel').trigger('to.owl.carousel', [$(this).index(), 300]);
                    dot.removeClass('active');
                    $(this).addClass('active');
                });
            }
        });
        $('.invalid-feedback, .valid-feedback').show();
    </script>
{/block}